(function() {
	/*
	 * カメラ撮影パスで取得
	 * 撮影の詳細は「Camera」APIを参照してください。
	 * 		http://doc.applican.com/Camera/index.html
	 */
	getPictureByPath = function() {
		var options = {
			quality: 70,
			destinationType: applican.camera.DestinationType.FILE_URI,
			sourceType: applican.camera.PictureSourceType.CAMERA,
			encodingType: applican.camera.EncodingType.JPEG,
			targetWidth: 300,
			targetHeight: 300,
			saveToPhotoAlbum: false,
			correctOrientation: true,
			allowEdit: true
		};
		applican.camera.getPicture(getPictureByPathSuccess, getPictureByPathError, options);
	}
	
	/*
	 * カメラ撮影パスで取得成功時のCallback処理
	 * 	res：画像のパス
	 */
	function getPictureByPathSuccess(res) {
		var image = document.getElementById('photoImg');
		image.src = res;
	}
	
	/*
	 * カメラ撮影パスで取得失敗時のCallback処理
	 */
	function getPictureByPathError(message) {
		alert("撮影に失敗しました。");
	}
})();